HSceneBinding

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.ui
Interface HSceneBinding

    public interface HSceneBinding

This interface is implemented by a platform defined class in order to provide a means of denoting certain properties of an `HScene` where that `HScene` is typically owned by another application (and, therefore, direct access to the `HScene` reference is not permitted).

Since:
  OCAP 1.0 I12 (ECN 0694)

Method Summary
`OcapAppAttributes` | `getAppAttributes()` Gets the application attributes with which the `HScene` denoted by this `HSceneBinding` is associated.
`HGraphicsDevice` | `getGraphicsDevice()` Gets the graphics device with which the `HScene` denoted by this `HSceneBinding` is associated.
`HScreenRectangle` | `getRectangle()` Gets the screen rectangle of the `HScene` denoted by this `HSceneBinding` in the normalized coordinate space of the `HScreen` to which `getGraphicsDevice()` is mapped.

Method Detail

### getRectangle

    HScreenRectangle getRectangle()

  Gets the screen rectangle of the `HScene` denoted by this `HSceneBinding` in the normalized coordinate space of the `HScreen` to which `getGraphicsDevice()` is mapped.

  Returns:
    screen rectangle of the `HScene` denoted by this `HSceneBinding`.
  Since:
    OCAP 1.0 I12 (ECN 0694)

### getAppAttributes

    OcapAppAttributes getAppAttributes()

  Gets the application attributes with which the `HScene` denoted by this `HSceneBinding` is associated.

  Returns:
    application attributes of the application whose `HScene` is denoted by this `HSceneBinding`.
  Since:
    OCAP 1.0 I12 (ECN 0694)

### getGraphicsDevice

    HGraphicsDevice getGraphicsDevice()

  Gets the graphics device with which the `HScene` denoted by this `HSceneBinding` is associated.

  Returns:
    graphics device on which is (or may be) presented the `HScene` that is denoted by this `HSceneBinding`.
  Since:
    OCAP 1.0.1 (ECN 1103)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD